#! /bin/sh

#_____________________________________________________________________________#
#                                                                             #
#                        Copyright (C) 2005 - 2007 by                         #
#                    -- TEC-IT Datenverarbeitung GmbH --                      #
#   -- team for engineering and consulting in information technologies --     #
#                                                                             #
#                            All rights reserved.                             #
#_____________________________________________________________________________#
#                                                                             #

#______________________________________________________________________________
#
# Filter printjob file with tbarcodefilter and send result to stdout.  
#______________________________________________________________________________
#

#
# if $6 is empty then printjob is read from stdin
# otherwise parameter $6 contains filename of printjob
#

exitvalue=

if test -z $6
then
  # no filename specified
  # => read from stdin

  /usr/local/share/tbarcode7/tbarcode --filter <&0 >&1
  exitvalue=$?
  
else
  # filename specified
  # => read from file
  
  # make a temporary file for the output of tbarcodefilter
  FILTEREDFILE="$(mktemp /tmp/tbarcodefilter.$$.XXXXXX)"
  
  /usr/local/share/tbarcode7/tbarcode --filter <$6 >$FILTEREDFILE
  cat $FILTEREDFILE
  exitvalue=$?

  # remove FILTEREDFILE file
  rm $FILTEREDFILE
  
fi

exit $exitvalue
