#! /bin/sh

#_____________________________________________________________________________#
#                                                                             #
#                        Copyright (C) 2005 - 2007 by                         #
#                    -- TEC-IT Datenverarbeitung GmbH --                      #
#   -- team for engineering and consulting in information technologies --     #
#                                                                             #
#                            All rights reserved.                             #
#_____________________________________________________________________________#
#                                                                             #

#______________________________________________________________________________
#
# Filter printjob file with tbarcodefilter and then filter it with original
# cups filter (pstops).  
#______________________________________________________________________________
#

#
# if $6 is empty then printjob is read from stdin
# otherwise parameter $6 contains filename of printjob
#

exitvalue=

if test -z $6
then
  # no filename specified
  # => read from stdin

  /usr/local/share/tbarcode7/tbarcode --filter <&0 | pstops "$@"
  exitvalue=$?
  
else
  # filename specified
  # => read from file
  
  # make a temporary file for the output of tbarcodefilter
  FILTEREDFILE="$(mktemp /tmp/tbarcodefilter.$$.XXXXXX)"
  
  /usr/local/share/tbarcode7/tbarcode --filter <$6 >$FILTEREDFILE
  pstops "$1" "$2" "$3" "$4" "$5" $FILTEREDFILE
  exitvalue=$?

  # remove FILTEREDFILE file
  rm $FILTEREDFILE
  
fi

exit $exitvalue
